Bug 221055 - Recent DDD (lesstif?) reverses the mouse wheel up/down actions.
Recent DDD (lesstif?) reverses the mouse wheel up/down actions.
Product: Fedora
Classification: Fedora
Component: lesstif (Show other bugs)
All Linux
medium Severity high
: ---
: ---
Assigned To: Patrice Dumas
Depends On:
  Show dependency treegraph
Reported: 2006-12-31 11:14 EST by Gilboa Davara
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version: 0.95.0-13
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-01-02 19:37:32 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
Invalid lesstif bind patch. (474 bytes, patch)
2006-12-31 11:40 EST, Gilboa Davara
no flags Details | Diff
Updated spec file. (1.10 KB, patch)
2006-12-31 11:44 EST, Gilboa Davara
no flags Details | Diff

  None (edit)
Description Gilboa Davara 2006-12-31 11:14:57 EST
Description of problem:
In any window, Mouse-scroll-up causes the display to scroll down.
Mouse-scroll-down causes the display to scroll up.
DDD turned into a flight simulator?

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Scroll up.
2. Scroll down.
Actual results:
1. Scroll down.
2. Scroll up.

Expected results:
1. Scroll up.
2. Scroll down.

Additional info:

- Gilboa
Comment 1 Gilboa Davara 2006-12-31 11:40:55 EST
Created attachment 144593 [details]
Invalid lesstif bind patch.

Found a 0.94 fix that never seemed to make its way up-stream.
Seems to be working just fine on FC6/x86_64.
Comment 2 Gilboa Davara 2006-12-31 11:44:02 EST
Created attachment 144594 [details]
Updated spec file.
Comment 3 Gilboa Davara 2006-12-31 11:44:58 EST
Changing to lesstif
Comment 5 Ralf Corsepius 2007-01-01 10:32:38 EST
Both lesstif and ddd are part of FE under Pertusus responsibility.
Comment 6 Patrice Dumas 2007-01-02 16:56:50 EST
I am not the ddd maintainer, but I am the lesstif maintainer.
I am considering using the patch right from the debian 
patcheset to avoid duplicating the patch. I don't know if it is
right to do that, so I'll send a mail on the extras list.
Comment 7 Patrice Dumas 2007-01-02 17:22:22 EST
In fact it is not in the debian patcheset, so I'll use what is in that
Comment 8 Patrice Dumas 2007-01-02 19:37:32 EST
Should be fixed now. Thanks for the patch and specfile  diff.
Comment 9 Gilboa Davara 2007-01-03 05:27:09 EST
FYI, I reported bug and submitted the fix last week and the fix was accepted by
the upstream maintainers.
Should be fixed in 0.96.

- Gilboa

Note You need to log in before you can comment on or make changes to this bug.